/*--------------------------------------------------BODY--------------------------------------*/
body {
    font-family: zeitung-micro, sans-serif;
    font-style: normal;
    font-weight: 300;
    background-color: black;
    background-image: url(../media/bg_small.png);
    background-position: center;
    background-size: auto;
    background-attachment: fixed;
    height: 100vh;
    width: 99vw;
    margin: 0 auto;
    text-align: center;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: repeat(5, auto);
    grid-template-areas:
        "Header"
        "Navigation"
        "Main"
        "Contact"
        "Footer";

    color: white;
    overflow-x: hidden;
}

a {
    color: white;
    text-decoration: underline;
}

a:hover {
    color: orange;
    -webkit-transform: scale(1.2);
    transform: scale(2);
}

/*-----------------------------------------*/
/*-----------------------------------------*/
@media (min-width: 1055px) {
    body {
        margin: 0em auto;
        grid-template-columns: 0.5fr 3fr 0.5fr;
        grid-template-areas:
            "Header Header Header"
            "Navigation Main Contact"
            "Navigation Main Contact"
            "Footer Footer Footer"
    }
}

@media (min-width: 1860px) {
    body {
        max-width: 99vw;
        margin: 0 auto;
    }
}

/*--------------------------------HEADER------------------------------------------------*/
.header {
    grid-area: Header;
    display: grid;
    grid-template-columns: 0.2fr 1fr 0.2fr;
    font-size: 0.8em;
    border-bottom: 0.2em solid white;
    margin: 2em 0 0 0;
    padding: 0 0 1em 0;
}

.headerTxt {
    grid-column: 2;
    grid-row: 1;
}

#menuArea {
    grid-column: 3;
    grid-row: 1;
}

.header figure {
    display: none;
}

/*-----------------------------------------*/
/*-----------------------------------------*/
@media (min-width: 768px) {

    .header {
        font-size: 1em;
    }
}

@media (min-width: 1055px) {
    .header {
        grid-template-columns: 1fr 1fr 1fr;
    }

    .header figure {
        display: block;
        position: absolute;
        top: -0.5em;
        left: 4em
    }

    .header figure img {
        height: 5em;
    }
}

/**/
/**/
/**/
/*--------------------------------MENU POP UP ANIMATION------------------------------*/
/**/
/**/
.open {
    background-color: white;
    width: 2em;
    height: 0.4em;
    display: block;
    border-radius: 2px;
    cursor: pointer;
    position: relative;
    left: 0.7em;
}

.open:before {
    content: "";
    background-color: white;
    width: 2em;
    height: 0.4em;
    display: block;
    border-radius: 2px;
    position: relative;
    top: -0.7em;
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

.open:after {
    content: "";
    background-color: white;
    width: 2em;
    height: 0.4em;
    display: block;
    border-radius: 2px;
    position: relative;
    top: 0.3em;
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

.menuOpen {
    width: 4em;
    height: 3em;
    cursor: pointer;
    display: block;
}


.menu {
    position: fixed;
    width: 100vw;
    height: 100vh;
    top: 0;
    left: 0;
    background: rgba(30, 30, 30, 0.9);
    z-index: 1;
}

.menu label {
    width: 30px;
    height: 30px;
    position: absolute;
    right: 5em;
    top: 20px;
    background-size: 100%;
    cursor: pointer;
}

.menu .menuContent {
    position: relative;
    top: 40%;
    font-size: 6em;
    text-align: center;
    padding-bottom: 20px;
    margin-top: -170px;
}

.menu ul {
    list-style: none;
    padding: 0;
    margin: 0 auto;
}

.menu ul li a {
    display: block;
    color: white;
    text-decoration: none;
    -webkit-transition: color 0.2s;
    transition: color 0.2s;
    font-family: tangerine, sans-serif;
    padding: 10px 0;
}

.menu ul li a:hover {
    color: #ff8702;
    -webkit-transform: scale(1.2);
    transform: scale(1.2)
}

.menu ul li a:active {
    color: #e16e27;
}

.menu ul li:hover {
    background: rgba(255, 255, 255, 0.1);
}

.menuEffects {
    opacity: 0;
    visibility: hidden;
    -webkit-transition: opacity 0.5s, visibility 0.5s;
    transition: opacity 0.5s, visibility 0.5s;
}

.menuEffects ul {
    -webkit-transform: translateY(0%);
    transform: translateY(0%);
    -webkit-transition: all 0.5s;
    transition: all 0.5s;
}

#menuToggle:checked ~ .menuEffects {
    opacity: 1;
    visibility: visible;
    -webkit-transition: opacity 0.5s;
    transition: opacity 0.5s;
}

#menuToggle:checked ~ .menuEffects ul {
    opacity: 1;
}

#menuToggle:checked ~ .menuOpen .open {
    background-color: transparent;
}

#menuToggle:checked ~ .menuOpen .open:before {
    content: "";
    background-color: white;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
    position: relative;
    top: 0;
    right: 0;
    z-index: 3;
}

#menuToggle:checked ~ .menuOpen .open:after {
    content: "";
    background-color: white;
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
    position: relative;
    top: 0;
    right: 0;
    z-index: 3;
}

#menuToggle:not(:checked) ~ .menuEffects ul {
    -webkit-transform: translateY(-30%);
    transform: translateY(-30%);
}

#menuToggle {
    visibility: hidden;
    z-index: 2;
}

/*-----------------------------------------*/
/*-----------------------------------------*/
@media (orientation: landscape) {
    .menu .menuContent {
        position: relative;
        top: 70%;
        font-size: 2em;
        text-align: center;
        padding-bottom: 20px;
        margin-top: -170px;
    }
}

/**/
/**/
/**/
/*--------------------------POPUP ANI ENDE------------------------------------------*/
/**/
/**/
/**/
.desktopNav {
    display: none;
    grid-area: Navigation;
    font-family: tangerine, sans-serif;
    font-weight: 700;
    font-style: normal;
    font-size: 3em;
    line-height: 2em;
    height: 100%;
    background-color: rgba(5, 5, 5, 0.9);
    margin: 0 2em 0 0;
    max-width: 15em;
    min-width: 5em;
}

.desktopNav ul {
    position: -webkit-sticky;
    position: sticky;
    top: 2em;
    height: 50vh;
}

.desktopNav a {
    text-decoration: none;
}


.desktopNav li {
    list-style: none;
    position: -webkit-sticky;
    position: sticky;
}

.nav-links_Desktop a:hover {
    background-color: #222222;
    border-radius: 1em 0 1em 1em;
    -webkit-box-shadow: 0px 0px 5px #fff;
    box-shadow: 0px 0px 5px #fff;
    padding: 0.1em 1em;
}

/*-----------------------------------------*/
/*-----------------------------------------*/
@media (min-width: 1055px) {
    .desktopNav {
        display: block;
    }

    #menuArea {
        display: none;
    }
}


/*----------------------MAIN---------------------------------------------------------*/

.mainContHome {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: repeat(2, auto);

}

.logoHome {
    grid-row: 1;
    grid-column: 2;
}

.mainContHome h3 {
    grid-row: 2;
    grid-column: 2;
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
    border-radius: 1em;
    padding: 0.5em;
}


.mainContKonzept {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: repeat(2, auto);
    grid-template-areas: "#konzeptNav"
        "#konzeptTxt";
    grid-area: Main;
    grid-gap: 4em;
}

#konzeptNav {
    background-image: url(../media/Lens_Iris.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;

    font-weight: 200;
    font-size: 1.3em;
    padding: 2em 0em;
}

#konzeptNav a {
    line-height: 2em;

    &:hover {
        color: orange;
        -webkit-transform: scale(1.2);
        transform: scale(1.2);
    }
}

#konzeptTxt {
    margin: 0 1em;
}


#konzeptTxt section {
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
    border-radius: 1em;
    padding: 0.5em;
    margin: 1em 0;
}

#konzeptTxt h3 {
    text-decoration: underline;
    font-weight: 400;
}

#konzeptTxt p {
    font-weight: 200;
}

.main404 {
    text-align: center;
    grid-area: Main;
}

#trafficCone {
    width: 20em;
}

.goBack {
    font-size: 0.8em;
    background-color: rgba(5, 5, 5, 0.9);
    padding: 0.5em;
    border-radius: 0 1em 1em 1em;
    -webkit-animation: glowBack 2s ease-in-out infinite alternate;
    animation: glowBack 2s ease-in-out infinite alternate;
}

@-webkit-keyframes glowBack {
    from {
        -webkit-box-shadow: 0px 0px 5px #fff;
        box-shadow: 0px 0px 5em 5px #fff;
    }

    to {
        -webkit-box-shadow: 0px 0px 5px #aaa;
        box-shadow: 0px 0px 5em 5px #aaa;
    }
}

@keyframes glowBack {
    from {
        -webkit-box-shadow: 0px 0px 5px #fff;
        box-shadow: 0px 0px 5em 5px #fff;
    }

    to {
        -webkit-box-shadow: 0px 0px 5px #aaa;
        box-shadow: 0px 0px 5em 5px #aaa;
    }
}

/*-----------------------------------------*/
/*-----------------------------------------*/
@media (orientation: landscape) {
    .logoHome img {
        height: 75vh;
    }
}


@media (min-width: 768px) {
    #konzeptTxt {
        margin: 0 auto;
        max-width: 48em;
    }
}

@media (min-width: 1055px) {
    main {
        margin: 5em 0;
    }

    #konzeptTxt {
        margin: 0 auto;
        max-width: 23em;
    }
}

@media (min-width: 1270px) {
    #konzeptTxt {
        margin: 0 auto;
        max-width: 38em;
    }
}

@media (min-width: 1425px) {
    #konzeptTxt {
        margin: 0 auto;
        max-width: 50em;
    }
}

@media (min-width: 1860px) {
    #konzeptTxt {
        margin: 0 auto;
        max-width: 70em;
    }
}

/*---------------------------------CONTACT-----------------------------------*/
.contact {
    grid-area: Contact;
    margin: 4em auto;
    color: black;
    width: 25em;
}

.contact a {
    color: #E16E27;
    font-size: 1.2em;
    background-image: url(../media/mail_schwarz.svg);
    background-attachment: local;
    background-size: 2em;
    background-position: left;
    background-repeat: no-repeat;
    padding-left: 2.5em;
}

.kontaktFeld {
    padding: 1em;
    background-color: rgba(255, 255, 255, 0.9);
    ;
    border-radius: 0 2em 2em;
    -webkit-animation: glow 2s ease-in-out infinite alternate;
    animation: glow 2s ease-in-out infinite alternate;
}

@-webkit-keyframes glow {
    from {
        -webkit-box-shadow: 0px 0px 5px #fff;
        box-shadow: 0px 0px 10em 5px #fff;
    }

    to {
        -webkit-box-shadow: 0px 0px 5px #aaa;
        box-shadow: 0px 0px 10em 5px #aaa;
    }
}

@keyframes glow {
    from {
        -webkit-box-shadow: 0px 0px 5px #fff;
        box-shadow: 0px 0px 10em 5px #fff;
    }

    to {
        -webkit-box-shadow: 0px 0px 5px #aaa;
        box-shadow: 0px 0px 10em 5px #aaa;
    }
}

/*-----------------------------------------*/
/*-----------------------------------------*/
@media (min-width: 1055px) {
    .glow {
        -webkit-box-shadow: 0px 0px 5px #fff;
        box-shadow: 0px 0px 10em 5px #fff;
    }

    .contact {
        height: 100%;
        background-color: transparent;
        -webkit-box-shadow: 0 0 0 0 transparent;
        box-shadow: 0 0 0 0 transparent;
        color: white;
        padding: 0;
        margin: 0 0 0 6em;
        max-width: 15em;
        min-width: 15em;
    }

    .contact a {
        background-image: url(../media/mail_wei%C3%9F.svg);
        background-attachment: local;
        background-size: 1.5em;
        background-position: left;
        background-repeat: no-repeat;
        padding-left: 2em;
    }

    .kontaktFeld {
        position: -webkit-sticky;
        position: sticky;
        top: 25em;
        background-color: rgba(5, 5, 5, 0.9);
        border-radius: 0 2em 2em 2em;
        font-size: 80%;
        -webkit-animation: glow 3s ease-in-out infinite alternate;

        margin: 0 auto;
        padding: 1em;
    }
}

/*---------------------------------FOOTER------------------------------*/
.footer {
    grid-area: Footer;
    border-top: 0.2em solid white;
    ;
    background-color: rgba(5, 5, 5, 0.9);
}

.footer img {
    width: 3em;
    padding: 1em;
}


.copy {
    padding-top: 2em;
}

.footer p {
    padding: 1em
}

.logoFooter {
    display: none;
}

/*-----------------------------------------*/
/*-----------------------------------------*/
@media (min-width: 1055px) {
    .footer {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(2, auto);
    }

    .footerIcons {
        grid-row: 1;
        grid-column: 1 / -1;
    }

    .legal {
        grid-row: 2;
        grid-column: 1 / -1;
        /*        text-align: right;*/
    }

    .logoFooter {
        display: block;
        grid-row: 2;
        grid-column: 2;
    }

    .logoFooter img {
        width: 15em;
        position: relative;
        bottom: 5.5em;
        right: -4em;
    }
}
